Irrlicht Engine: irr::scene::IParticleMeshEmitter Class Reference

Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::scene::IParticleMeshEmitter Class Reference

A particle emitter which emits from vertices of a mesh. More...

`#include <IParticleMeshEmitter.h>`

Inheritance diagram for irr::scene::IParticleMeshEmitter:

List of all members.

## Public Member Functions
virtual bool | getEveryMeshVertex () const =0
| Gets whether to emit min<->max particles for every vertex or to pick min<->max vertices.
virtual const IMesh * | getMesh () const =0
| Get Mesh we're emitting particles from.
virtual f32 | getNormalDirectionModifier () const =0
| Get the amount that the normal is divided by for getting a particles direction.
virtual E_PARTICLE_EMITTER_TYPE | getType () const
| Get emitter type.
virtual bool | isUsingNormalDirection () const =0
| Get whether to use vertex normal for direction, or direction specified.
virtual void | setEveryMeshVertex (bool everyMeshVertex=true)=0
| Sets whether to emit min<->max particles for every vertex or to pick min<->max vertices.
virtual void | setMesh (IMesh *mesh)=0
| Set Mesh to emit particles from.
virtual void | setNormalDirectionModifier (f32 normalDirectionModifier)=0
| Set the amount that the normal is divided by for getting a particles direction.
virtual void | setUseNormalDirection (bool useNormalDirection=true)=0
| Set whether to use vertex normal for direction, or direction specified.

## Detailed Description

A particle emitter which emits from vertices of a mesh.

Definition at line 17 of file IParticleMeshEmitter.h.

## Member Function Documentation

virtual bool irr::scene::IParticleMeshEmitter::getEveryMeshVertex | ( |  | ) | const`[pure virtual]`

Gets whether to emit min<->max particles for every vertex or to pick min<->max vertices.

virtual const IMesh* irr::scene::IParticleMeshEmitter::getMesh | ( |  | ) | const`[pure virtual]`

Get Mesh we're emitting particles from.

virtual f32 irr::scene::IParticleMeshEmitter::getNormalDirectionModifier | ( |  | ) | const`[pure virtual]`

Get the amount that the normal is divided by for getting a particles direction.

virtual E_PARTICLE_EMITTER_TYPE irr::scene::IParticleMeshEmitter::getType | ( |  | ) | const`[inline, virtual]`

Get emitter type.

Reimplemented from irr::scene::IParticleEmitter.

Definition at line 46 of file IParticleMeshEmitter.h.

References irr::scene::EPET_MESH.

virtual bool irr::scene::IParticleMeshEmitter::isUsingNormalDirection | ( |  | ) | const`[pure virtual]`

Get whether to use vertex normal for direction, or direction specified.

virtual void irr::scene::IParticleMeshEmitter::setEveryMeshVertex | ( | bool | everyMeshVertex = `true` | ) | `[pure virtual]`

Sets whether to emit min<->max particles for every vertex or to pick min<->max vertices.

virtual void irr::scene::IParticleMeshEmitter::setMesh | ( | IMesh * | mesh | ) | `[pure virtual]`

Set Mesh to emit particles from.

virtual void irr::scene::IParticleMeshEmitter::setNormalDirectionModifier | ( | f32 | normalDirectionModifier | ) | `[pure virtual]`

Set the amount that the normal is divided by for getting a particles direction.

virtual void irr::scene::IParticleMeshEmitter::setUseNormalDirection | ( | bool | useNormalDirection = `true` | ) | `[pure virtual]`

Set whether to use vertex normal for direction, or direction specified.

The documentation for this class was generated from the following file:

- IParticleMeshEmitter.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:42:07 2010 by Doxygen (1.6.2)